Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.image
Class MonoImage

    java.lang.Object
      edu.wpi.first.wpilibj.image.Image
          edu.wpi.first.wpilibj.image.MonoImage

Direct Known Subclasses:
  BinaryImage

    public class MonoImage

extends Image

A grey scale image represented at a byte per pixel.

Author:
  dtjones

Field Summary

Fields inherited from class edu.wpi.first.wpilibj.image.Image
`image`

Constructor Summary
`MonoImage()` Create a new 0x0 image.

Method Summary
`EllipseMatch[]` | `detectEllipses(EllipseDescriptor ellipseDescriptor)`
`EllipseMatch[]` | `detectEllipses(EllipseDescriptor ellipseDescriptor, CurveOptions curveOptions, ShapeDetectionOptions shapeDetectionOptions, RegionOfInterest roi)`

Methods inherited from class edu.wpi.first.wpilibj.image.Image
`free, getHeight, getWidth, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonoImage

    public MonoImage()
              throws NIVisionException

  Create a new 0x0 image.

  Throws:
    `NIVisionException`

Method Detail

### detectEllipses

    public EllipseMatch[] detectEllipses(EllipseDescriptor ellipseDescriptor,
                                         CurveOptions curveOptions,
                                         ShapeDetectionOptions shapeDetectionOptions,
                                         RegionOfInterest roi)
                                  throws NIVisionException

  Throws:
    `NIVisionException`

### detectEllipses

    public EllipseMatch[] detectEllipses(EllipseDescriptor ellipseDescriptor)
                                  throws NIVisionException

  Throws:
    `NIVisionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"